<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Test web push</title>
</head>
<body>
    <button onclick="subscribe()">Subscribe</button>
    <script>
        addEventListener('load', async () => {
            const worker = await navigator.serviceWorker.register('./worker.js');
            console.log(worker);
        })

        async function subscribe() {
            const worker = await navigator.serviceWorker.ready;
            const push = await worker.pushManager.subscribe({
                userVisibleOnly: true,
                applicationServerKey: 'BFR3AeJqGOhkj4r8_X2XUBocXy58haEDRkZhLHOB5Zj1rShikVmPeHOel6DpwVC_e1tMbsd8o2JoQdLE3DoYQrA'
            });
            console.log(JSON.stringify(push));
        }
    </script>
</body>
</html>
